Множественные уязвимости в PHP-Fusion

Дата публикации:
31.12.2008
Дата изменения:
31.12.2008
Всего просмотров:
5276
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP-Fusion 6.x
PHP-Fusion 7.x
Уязвимые версии:
PHP-Fusion версии до 6.01.18
PHP-Fusion версии до 7.00.4

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "submit_info[]" в сценарии submit.php, когда параметр "stype" установлен в значение "l" и параметры "submit_link", "link_name", "link_url" и "link_description" установлены в непустые значения. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: www.php-fusion.co.uk

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: PHP-Fusion <= 7.0.2 Remote Blind SQL Injection Exploit
http://www.php-fusion.co.uk/news.php?readmore=443

или введите имя

CAPTCHA